import moment from 'moment'
// 由于vite只支持ES modules; 故需要引入moment/dist/locale/zh-cn，这个文件是 ES modules；
import 'moment/dist/locale/zh-cn'
moment.locale('zh-cn')

/**
* 活动时间格式化
* @param {2021-11-12T09:25:01+08:00} start 开始时间
* @param 2021-11-12T09:25:01+08:00 end 结束时间
* @returns 2020-06-04 15:30-16:30 星期一
*/
export const formatActivityTime=(start, end)=>{
    const week = moment(start).format('dddd');
    const day = moment(start).format('YYYY-MM-DD');
    const startTime = moment(start).format('HH:mm');
    const endTime = moment(end).format('HH:mm');
    return `${day} ${startTime}-${endTime} ${week}`
}


